> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Curriculums

> Bulk delete multiple curriculums.

Requires admin role.



## OpenAPI

````yaml /openapi.json delete /api/v1/learn/curriculums/bulk
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/curriculums/bulk:
    delete:
      tags:
        - learn-curriculums
      summary: Bulk Delete Curriculums
      description: |-
        Bulk delete multiple curriculums.

        Requires admin role.
      operationId: bulk_delete_curriculums_api_v1_learn_curriculums_bulk_delete
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDeleteRequestDTO'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkDeleteResponseDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BulkDeleteRequestDTO:
      properties:
        ids:
          items:
            type: string
            format: uuid
          type: array
          title: Ids
      type: object
      required:
        - ids
      title: BulkDeleteRequestDTO
      description: Request to bulk delete entities by their IDs.
    BulkDeleteResponseDTO:
      properties:
        deletedCount:
          type: integer
          title: Deletedcount
        failedIds:
          items:
            type: string
            format: uuid
          type: array
          title: Failedids
          default: []
        errors:
          items:
            type: string
          type: array
          title: Errors
          default: []
      type: object
      required:
        - deletedCount
      title: BulkDeleteResponseDTO
      description: Response from bulk delete operation.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````